<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\ObjectAdapter\MediumAdapterInterface;

class MediaAdapterMock implements MediumAdapterInterface
{

    public $properties = [];

    public function __construct(array $properties)
    {
        $this->properties = $properties;
    }

    public function getSourceUri()
    {
        return $this->properties['sourceUri'] ?? '';
    }

    public function getTitle()
    {
        return $this->properties['title'] ?? '';
    }

    public function getCopyright()
    {
        return $this->properties['copyright'] ?? '';
    }

    public function getSorting()
    {
        return $this->properties['sorting'] ?? null;
    }

    public function getExternalId(): string
    {
        return $this->properties['externalId'] ?? '';
    }
}